Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.event
Enum SessionEventDispatcher.EventType

    java.lang.Object
      java.lang.Enum<SessionEventDispatcher.EventType>
          org.jivesoftware.openfire.event.SessionEventDispatcher.EventType

All Implemented Interfaces:
  Serializable, Comparable<SessionEventDispatcher.EventType>

Enclosing class:
  SessionEventDispatcher

    public static enum SessionEventDispatcher.EventType

extends Enum<SessionEventDispatcher.EventType>

Represents valid event types.

Enum Constant Summary
`anonymous_session_created` An anonymous session was created.
`anonymous_session_destroyed` A anonymous session was destroyed
`resource_bound` A resource was bound to the session.
`session_created` A session was created.
`session_destroyed` A session was destroyed

Method Summary
`static SessionEventDispatcher.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SessionEventDispatcher.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### session_created

    public static final SessionEventDispatcher.EventType session_created

  A session was created.

### session_destroyed

    public static final SessionEventDispatcher.EventType session_destroyed

  A session was destroyed

### anonymous_session_created

    public static final SessionEventDispatcher.EventType anonymous_session_created

  An anonymous session was created.

### anonymous_session_destroyed

    public static final SessionEventDispatcher.EventType anonymous_session_destroyed

  A anonymous session was destroyed

### resource_bound

    public static final SessionEventDispatcher.EventType resource_bound

  A resource was bound to the session.

Method Detail

### values

    public static final SessionEventDispatcher.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SessionEventDispatcher.EventType c : SessionEventDispatcher.EventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SessionEventDispatcher.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.